### Method

# Ide CompletionContext get_line_text

#### Declaration

    gchar*
    ide_completion_context_get_line_text (
      IdeCompletionContext* self
    )

#### Description

This is a convenience helper to get the line text up until the insertion cursor for the current completion.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A newly allocated string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.